---
search:
  tags:
    - Targets
    - GET
seo:
  description: >-
    Returns the caller's targets, creating a default row on first access.
    Reference for the GET /api/targets endpoint in the skcal API.
sidebar:
  label: Get goals
  badge: GET
title: Get goals
type: openapi-operation
---
Returns the caller's targets, creating a default row on first access.

`GET /api/targets`

**Responses**

- `200` — The caller's targets.

Response example, 200:

```json
{
  "id": 1,
  "goalWeightKg": 70,
  "startWeightKg": 78.4,
  "targetDate": 1790000000000,
  "startDate": 1782000000000,
  "dailyKcalTarget": 2100,
  "proteinTargetG": 170,
  "heightCm": 178,
  "sex": "male"
}
```
